# class toTemplateProvider | This is the base class of a provider of template items. More...
Contains pure virtuals
Definition | `#include <totemplate.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toTemplateProvider ()
- virtual ~toTemplateProvider ()
- virtual void insertItems (QListView *parent)

#### Public Members

- friend class toTemplate

## Detailed Description

This is the base class of a provider of template items. Usually it is created with a static object just like the tools.

toTemplateProvider () | ### toTemplateProvider

List of currently available template providers.

~toTemplateProvider () | ### ~toTemplateProvider

[virtual]

void insertItems (QListView *parent) | ### insertItems

[pure virtual]

Insert a parent item for this template provider into a list view.

Parameters:

parent | The list into which to insert the item.

friend class toTemplate | ### toTemplate